Message: G4ParaFissionModel compilation error in Geant4.10.3? Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question G4ParaFissionModel compilation error in Geant4.10.3? 

Forum: Hadronic Processes
Date: 21 Dec, 2016
From: Jaime Romero <Jaime Romero>

Hi everybody:

When trying to compile code that works perfectly on Geant4.10.2.p2 I get the following errors when using Geant4.10.3:

/usr/local/include/Geant4/G4ParaFissionModel.hh: In constructor ‘G4ParaFissionModel::G4ParaFissionModel()’:
/usr/local/include/Geant4/G4ParaFissionModel.hh:51:23: error: ‘MeV’ was not declared in this scope
     SetMaxEnergy( 60.*MeV );

/usr/local/include/Geant4/G4ParaFissionModel.hh: In member function ‘virtual G4HadFinalState* G4ParaFissionModel::ApplyYourself(const G4HadProjectile&, G4Nucleus&)’:
/usr/local/include/Geant4/G4ParaFissionModel.hh:82:54: error: ‘class G4CompetitiveFission’ has no member named ‘BreakUp’
     G4FragmentVector * theFissionResult = theFission.BreakUp(anInitialState);
                                                      ^
/usr/local/include/Geant4/G4ParaFissionModel.hh:91:45: error: ‘keV’ was not declared in this scope
       if(aFragment->GetExcitationEnergy() > keV)

/home/jromero/Monte_Carlo/geant4-codes/test/correccion_activacion_PhysListFix/src/PhysicsListNeutrons.cc: In member function ‘virtual void PhysicsListNeutrons::ConstructProcess()’:
/home/jromero/Monte_Carlo/geant4-codes/test/correccion_activacion_PhysListFix/src/PhysicsListNeutrons.cc:68:48: error: ‘eV’ was not declared in this scope
  theNeutronThermalScattering->SetMaxEnergy(4.0*eV);


I read the release notes and couldn't find any information related to these errors. Am I missing something? Any help will be highly appreciated :) 


Thanks, Jaime

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Idea: Re: G4ParaFissionModel compilation error in Geant4.10.3?   (Vladimir Ivanchenko - 25 Feb, 2017)
 Add Message Add Message
to: "G4ParaFissionModel compilation error in Geant4.10.3?"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]